Subject: Bug#48: heuler x2gothinclient multihead support breaks singlehead mode

From: Stefan Baur <[email-masked]>
Date: Sat, 13 Oct 2012 01:10:01 +0200

/me wrote:

 > So, two suggestions:
 > 1) STDERR from xrandr  should go to /dev/null or to a log
 > file/syslog, so
 > -foreach (`DISPLAY=:0 LANG=C xrandr | grep ' connected ' | cut -d ' ' 
 > -f1`)
 > +foreach (`DISPLAY=:0 LANG=C xrandr 2>/dev/null | grep ' connected ' |
 > cut -d ' ' -f1`)

 > 2) A simple fix could be
 > if (1 < `DISPLAY=:0 LANG=C xrandr | grep ' connected ' | wc -l`)
 > {
 >     foreach (`DISPLAY=:0 LANG=C xrandr | grep ' connected ' | cut -d '
 > ' -f1`)
 >     {
 >     ...
 >     }
 > }
 > I'm sure there might be a more elegant solution that works within the
 > foreach loop, but "Hanc marginis exiguitas non caperet."

And indeed there is:
1) seems to be enough of a fix, so 2) isn't necessary any more.

-Stefan